<?php
//фильтрация
function check_text($text) {
	$text = strip_tags($text);
	$text = str_replace('<', '', $text);
    $text = str_replace('>', '', $text);
    $text = str_replace('$', 'y.e', $text);
    $text = str_replace(';', '', $text);
    $text = str_replace('"', '', $text);
    $text = str_replace('\'', '', $text);
    $text = str_replace('`', '', $text);
	$text = str_replace("	", '.d', $text);
    $text = preg_replace("#[j|J][a|A][v|V][a|A]#is", '', $text);
    $text = preg_replace("#[s|S][c|C][r|R][i|I][p|P][t|T]#is", '', $text);
    $text = preg_replace("#[d|D][o|O][c|C][u|U][m|M][e|E][n|N][t|T]#is", '', $text);
    $text = preg_replace("#[c|C][o|O][o|O][k|K][i|I][e|E]#is", '', $text);
    $text = preg_replace("#[u|U][n|N][i|I][o|O][n|N]#is", '', $text); 
    $text = preg_replace("#[f|F][r|R][o|O][m|M]#is", '', $text); 
    $text = preg_replace("#[w|W][h|H][e|E][r|R][e|E]#is", '', $text); 
    $text = preg_replace("#[s|S][e|E][l|L][e|E][c|C][t|T]#is", '', $text); 
    $text = preg_replace("#[i|I][n|N][s|S][e|E][r|R][t|T]#is", '', $text);
    $text = preg_replace("#[u|U][p|P][d|D][a|A][t|T][e|E]#is", '', $text);
    $text = preg_replace("#[d|D][e|E][l|L][e|E][t|T][e|E]#is", '', $text);
	$text = trim($text);
	return iconv('UTF-8', 'windows-1251', $text);
}
//получения wmid через кошелек
function getwmid($wmid) {
    $getwmid = file_get_contents('http://passport.webmoney.ru/asp/CertView.asp?purse=' . $wmid);
    $pos = strpos($getwmid, 'https://events.webmoney.ru/user.aspx?');
    $getwmid = substr($getwmid, $pos);
    $pos = strpos($getwmid, '"><img src=');
    $getwmid = substr($getwmid, 0, $pos);
    $getwmid = substr($getwmid, strlen($getwmid)-12);
    if (!is_numeric($getwmid) or strlen($getwmid) != 12) {
        $wmid = 1;
    } else {
        $wmid = $getwmid;
    }
    return $wmid;
}
//точное округление
function moneyraund ($money, $kol) {
    if ($money == 0) {
        $money = 0.00;
        return $money;
    } else
    if (strpos($money, '.')) {
        $money = explode('.', $money);
        return $money[0] . '.' . substr($money[1], 0, $kol);
    } else {
        return $money;
    }
}
//восстановление пароля
function generate_password($number) {
    $arr = array('a','b','c','d','e','f',
                 'g','h','i','j','k','l',
                 'm','n','o','p','r','s',
                 't','u','v','x','y','z',
                 'A','B','C','D','E','F',
                 'G','H','I','J','K','L',
                 'M','N','O','P','R','S',
                 'T','U','V','X','Y','Z',
                 '1','2','3','4','5','6',
                 '7','8','9','0');
    // Генерируем пароль
    $pass = "";
    for($i = 0; $i < $number; $i++) {
        // Вычисляем случайный индекс массива
        $index = rand(0, count($arr) - 1);
        $pass .= $arr[$index];
    }
    return $pass;
}
//Постраничная навигация
function navigation($allpage/*всего страниц*/, $query/*url, запрос*/, $lp/*вывод первой и последней страницы*/, $expanded/*расширение*/) {
    $this_page = (isset($_GET['pg'])) ? intval($_GET['pg']) : 1 ;
    if ($this_page <= 1) { $this_page = 1; } else if ($this_page >= $allpage) { $this_page = $allpage; }
    
    $prev_page = $this_page - 1;  
    $pprev_page = $this_page - 2;  
    $next_page = $this_page + 1;  
    $nnext_page = $this_page + 2;
       
    // Первая страница
    if ($this_page > 2 && $lp == 1) {
        $p1 = '<a href="' . $query . '1">1</a>';
    }
    if ($this_page > 4 && $lp == 1) {
        $p1 = '<a href="' . $query . '1">1</a> ... ';
    }
    // Пред предыдущая страница
    if ($pprev_page > 1 && $expanded == 1) {
        $p2 = '<a href="' . $query . $pprev_page . '">' . $pprev_page . '</a>';
    }
    // Предыдущая страница
    $p3 = ($prev_page < 1) ? "" : '<a href="' . $query . $prev_page . '">' . $prev_page . '</a>';
    // Наша позиция
    $p4 = '<span>' . $this_page . '</span>';
    // Следующая страница
    $p5 = ($next_page > $allpage) ? "" : '<a href="' . $query . $next_page . '">' . $next_page . '</a>';
    // Следующая за следующей страница
    if($nnext_page < $allpage && $expanded == 1) {
        $p6 = '<a href="' . $query . $nnext_page . '">' . $nnext_page . '</a>';
    }
    //Последняя страница
    if($this_page < $allpage - 1 && $lp == 1) {
        $p7 = '<a href="' . $query . $allpage . '">' . $allpage . '</a>';
    }
    if($this_page < $allpage - 3 && $lp == 1) {
        $p7 = ' ... <a href="' . $query . $allpage . '">' . $allpage . '</a>';
    }
    
    return '<div class="pagination">' . $p1 . $p2 . $p3 . $p4 . $p5 . $p6 . $p7 . '</div>';
}
?>